%define		branch 0.3
%define		svn svn696

Version:	%branch.0
Name:		qmmp
Release:	alt0.1.%svn
Summary:	QMMP - Qt-based multimedia player
License: 	GPLv2
Group: 		Sound
Packager:	Motsyo Gennadi <drool@altlinux.ru>
Url:		http://qmmp.ylsoftware.com/
Source0:	http://qmmp.ylsoftware.com/files/%name-%branch-%svn.tar.bz2

Requires:	unzip winamplike-skins

BuildPreReq:	rpm-build-wlskins winamplike-skins

# Automatically added by buildreq on Sat Dec 20 2008 (-bi)
BuildRequires: cmake >= 2.4.8 gcc-c++ libavformat-devel libcurl-devel libfaad-devel libmad-devel libmodplug-devel libmpcdec-devel libpulseaudio-devel libqt4-devel libsamplerate-devel libtag-devel libvorbis-devel libwavpack-devel

%description
QMMP is an audio-player, written with help of Qt library.
The user interface is similar to winamp or xmms.

Main opportunities:
- winamp and xmms packed and unpacked skins support
- plugins support 
- MPEG1 layer 1/2/3 support 
- Ogg Vorbis support 
- native FLAC support 
- Musepack support 
- WavePack support 
- ModPlug support 
- WMA support 
- PCM WAVE support 
- AlSA sound output 
- JACK sound output 
- OSS sound output 
- PulseAudio output 
- Last.fm scrobbler 
- D-Bus support 
- Spectrum Analyzer 
- sample rate conversion 
- streaming support (MP3, Vorbis via IceCast/ShoutCast)

# Output plugins
%package -n %name-out-pulseaudio
Summary: Qmmp PulseAudio Output Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-out-pulseaudio
Qmmp PulseAudio Output Plugin

%package -n %name-out-oss
Summary: Qmmp OSS Output Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-out-oss
Qmmp OSS Output Plugin

%package -n %name-out-jack
Summary: Qmmp Jack Output Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-out-jack
Qmmp Jack Output Plugin

# Input plugins
%package -n %name-in-ffmpeg
Summary: Qmmp FFMPEG Audio Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-in-ffmpeg
Qmmp FFMPEG Audio Plugin

%package -n %name-in-flac
Summary: Qmmp FLAC Audio Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-in-flac
Qmmp FLAC Audio Plugin

%package -n %name-in-musepack
Summary: Qmmp Musepack Audio Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-in-musepack
Qmmp Musepack Audio Plugin

%package -n %name-in-sndfile
Summary: Qmmp Sndfile Audio Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-in-sndfile
Qmmp Sndfile Audio Plugin

%package -n %name-in-wavpack
Summary: Qmmp WavPack Audio Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-in-wavpack
Qmmp WavPack Audio Plugin

%package -n %name-in-modplug
Summary: Qmmp ModPlug Audio Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-in-modplug
Qmmp ModPlug Audio Plugin

%package -n %name-in-cue
Summary: Qmmp Cue Audio Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-in-cue
Qmmp Cue Audio Plugin

%package -n %name-in-aac
Summary: Qmmp AAC Audio Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-in-aac
Qmmp AAC Audio Plugin

# Visualization plugins
%package -n %name-vis-analyzer
Summary: Qmmp Analyzer Visual Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-vis-analyzer
Qmmp Analyzer Visual Plugin

# Effects plugins
%package -n %name-eff-srconverter
Summary: Qmmp Sample Rate Converter Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-eff-srconverter
Qmmp Sample Rate Converter Plugin

# General plugins
%package -n %name-mpris
Summary: Qmmp MPRIS Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-mpris
Qmmp MPRIS Plugin

%package -n %name-notifier
Summary: Qmmp Notifier Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-notifier
Qmmp Notifier Plugin

%package -n %name-scrobbler
Summary: Qmmp AudioScrobbler Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-scrobbler
Qmmp AudioScrobbler Plugin

%package -n %name-statusicon
Summary: Qmmp Status Icon Plugin
Group: Sound
Requires: qmmp = %version-%release

%description -n %name-statusicon
Qmmp Status Icon Plugin

%package -n %name-devel
Summary: Qmmp header files
Group: Development/C++
BuildArch: noarch

%description -n %name-devel
%name-devel contains the header files needed to develop
programs which make use of Qmmp.

%package -n %name-full
Summary:	QMMP - Qt-based multimedia player
Group:		Sound
BuildArch:	noarch
Requires:	qmmp qmmp-in-wavpack qmmp-mpris qmmp-notifier
Requires:	qmmp-eff-srconverter qmmp-in-ffmpeg
Requires:	qmmp-in-flac qmmp-out-pulseaudio qmmp-in-modplug
Requires:	qmmp-in-musepack qmmp-statusicon qmmp-in-sndfile qmmp-in-cue
Requires:	qmmp-vis-analyzer
# #Requires:	qmmp-scrobbler qmmp-out-jack qmmp-out-oss

%description -n %name-full
Virtual package for full installation Qmmp (exclude %name-devel).

%prep
%setup -q -n %name-%branch-svn

%build
cmake \
        -DCMAKE_INSTALL_PREFIX=%_prefix \
        -DCMAKE_CXX_FLAGS:STRING="%optflags" \
	-DCMAKE_C_FLAGS:STRING="%optflags" \
	-DLIB_DIR:STRING=%_lib
%make_build VERBOSE=1

%install
%make DESTDIR=%buildroot install

%__mkdir -p %buildroot%_datadir/%name
ln -s %_wlskindir %buildroot%_datadir/%name/skins
%__mkdir -p %buildroot/{%_miconsdir,%_niconsdir,%_liconsdir}
%__install -Dp -m 0644 src/ui/images/48x48/%name.png %buildroot%_liconsdir/%name.png
%__install -Dp -m 0644 src/ui/images/32x32/%name.png %buildroot%_niconsdir/%name.png
%__install -Dp -m 0644 src/ui/images/16x16/%name.png %buildroot%_miconsdir/%name.png

%__install -Dp -m 0644 src/ui/%name.desktop %buildroot%_desktopdir/%name.desktop

%files
%doc AUTHORS ChangeLog* README*
%dir %_libdir/%name
%dir %_libdir/%name/Input
%dir %_libdir/%name/Output
%dir %_libdir/%name/PlaylistFormats
%dir %_libdir/%name/CommandLineOptions
%dir %_libdir/%name/FileDialogs
%_bindir/*
%_desktopdir/*
%_libdir/*.so*
%_libdir/%name/Input/libmad*
%_libdir/%name/Input/libvorbis*
%_libdir/%name/Output/libalsa*
%_libdir/%name/PlaylistFormats/*.so
%_libdir/%name/CommandLineOptions/*.so
%_libdir/%name/FileDialogs/*.so
%_datadir/%name/
%_miconsdir/%name.png
%_niconsdir/%name.png
%_liconsdir/%name.png

# Output plugins
%files -n %name-out-pulseaudio
%_libdir/%name/Output/libpulseaudio*

# #%files -n %name-out-oss
# #%_libdir/%name/Output/liboss*

# #%files -n %name-out-jack
# #%_libdir/%name/Output/libjack*

# Input plugins
%files -n %name-in-ffmpeg
%_libdir/%name/Input/libffmpeg*

%files -n %name-in-flac
%_libdir/%name/Input/libflac*

%files -n %name-in-musepack
%_libdir/%name/Input/libmpc*

%files -n %name-in-sndfile
%_libdir/%name/Input/libsndfile*

%files -n %name-in-wavpack
%_libdir/%name/Input/libwavpack*

%files -n %name-in-cue
%_libdir/%name/Input/libcue*

%files -n %name-in-aac
%_libdir/%name/Input/libaac*

%files -n %name-in-modplug
%_libdir/%name/Input/libmodplug*

# Visualization plugins
%files -n %name-vis-analyzer
%_libdir/%name/Visual/libanalyzer*

# Effects plugins
%files -n %name-eff-srconverter
%_libdir/%name/Effect/libsrconverter*

# General plugins
%files -n %name-mpris
%_libdir/%name/General/libmpris*

%files -n %name-notifier
%_libdir/%name/General/libnotifier*

# #%files -n %name-scrobbler
# #%_libdir/%name/General/libscrobbler*

%files -n %name-statusicon
%_libdir/%name/General/libstatusicon*

%files -n %name-devel
%dir %_includedir/%name
%dir %_includedir/%{name}ui
%_includedir/%name/*.h
%_includedir/%{name}ui/*.h

%files -n %name-full

%changelog
* Fri Dec 19 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn696
- 0.3 svn695 version
  + more ffmpeg formats support (including ape); ffmpeg plugin settings
  + some ffmpeg plugin fixes
  + fixed ffmpeg plugin build
  + faster ape seeking
- removed patch for ape support (upstream now supported)

* Wed Dec 17 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn692
- 0.3 svn692 version
  + improved equalizer precision
  + using standard dialog buttons
  + fixed dialog layouts

* Tue Dec 16 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn688
- 0.3 svn688 version
  + equalizer: overwrite existing presets
  + added some mpris methods

* Mon Dec 15 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn685
- 0.3 svn685 version
  + fixed linker flags
  + mediplayer class, enabled all statusicon actions
  + removed unused debug messages
  + better mpris support
  + fixed regression

* Sun Dec 14 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn680
- 0.3 svn680 version
  + moved playlist model to libqmmpui
- ape support enabled (experimental)

* Fri Dec 12 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn679
- 0.3 svn679 version
  + fixed playlists load with --enqueue option
  + status icon plugin: mouse wheel volume control

* Thu Dec 11 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn677
- 0.3 svn677 version
  + skin installation dialog
  + --enqueue command line option

* Mon Dec 08 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn674
- 0.3 svn674 version
  + fixed some midi bugs
  + moved midi plugin to plugin pack

* Sun Dec 07 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn672
- fix allocation skinsdir for winamplike-skins
- 0.3 svn672 version
  + fixed qmake scripts
  + fixed effect plugin table
  + fixed typo
  + fixed sliders
  + updated changelog
  + updated Czech translation
  + fixed build
  + midi plugin

* Mon Dec 01 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn649
- 0.3 svn649 version
  + fixed shaded playlist title

* Sat Nov 29 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn647
- 0.3 svn647 version
  + fixed next/previous command in pause mode
  + fixed cue parsing
  + flac plugin: embeded cue support (using cuesheet xiph comment)
  + changed decoder api; fixed flac plugin
  + general api changes, removed unused code
  + removed unused code
- removed libqt3-devel from BuildRequires

* Wed Nov 26 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn640
- 0.3 svn640 version
  + some mpris plugin improvements
  + fixed Russian translation (MPRIS plugin)
  + fixed command line plugin
- refresh BuildRequires

* Wed Nov 26 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn637
- 0.3 svn637 version
  + fixed regression
  + partial mpris support, removed dbus plugin
  + added mpris plugin translations
  + fixed Ukrainian translation (MPRIS Plugin)
  + fix link (--as-needed) for notifier plugin

* Tue Nov 25 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn631
- 0.3 svn631 version
  + show notification for all files
  + notifier plugin: show duration of the cue tracks
  + fixed notification bug
  + general api cleanup

* Sun Nov 23 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn626
- 0.3 svn626 version
  + fixed possible freeze
  + fixed notifier duration bug
  + removed unused code

* Thu Nov 20 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn623
- 0.3 svn623 version
  + fixed build
  + output api changes
  + make visualization independent of the software volume level

* Mon Nov 17 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn619
- 0.3 svn619 version
  + added enter hotkey support in the jump dialog
- remove post/postun scripts (new rpm)

* Thu Nov 13 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn615
- 0.3 svn615 version
  + fixed shaded playlist title
  + fixed modplug defines

* Mon Nov 10 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn610
- 0.3 svn610 version
  + gcc-4.3 support

* Sat Nov 01 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn609
- 0.3 svn609 version
  + AAC plugin: added details dialog
  + fixed out-of-source build

* Fri Oct 31 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn606
- 0.3 svn606 version
  + enabled aac plugin
  + AAC plugin: fixed seeking; id3v2 tags support

* Sun Oct 26 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn604
- 0.3 svn604 version
  + fixed desktop file regression
  + fixed playlist parsing
  + some playlist fixes
  + fixed some event-handling bugs
  + fixed equalizer
  + cue plugin: equalizer support
  + send buffering state befor playing
  + fixed regression
  + aac plugin
  + clear visualization after stop, fixed possible flickering
  + removed unused debug message

* Sun Oct 19 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.1.svn589
- initial build 0.3 branch for ALT Linux

* Sun Oct 19 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2.2.1-alt0.1.svn590
- 0.2 svn590 version
  + fixed program exit with enabled visualization
- fixed desktop file (repocop warning)

* Thu Oct 16 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2.2.1-alt0.1.svn586
- 0.2 svn586 version
  + fixed playlist loading when using drag and drop and command line
  + fixed build

* Fri Sep 26 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2.2.1-alt0.1.svn564
- 0.2 svn564 version
  + fixed russian translation
  + added French translation (author: Stanislas Zeller)
  + updated translators list
  + jack plugin: do not try to connect to MIDI ports (Adrian Knoth)
  + fixed memory leak

* Tue Sep 09 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2.2.1-alt0.1.svn545
- 0.2 svn545 version
  + kde4-like library suffix (Funda Wang)
  + new ffmpeg support
  + removed duplicate --next command line option (thanks to Adrian Knoth)
  + rebuilt translations

* Sat Aug 30 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2.2-alt1
- 0.2.2 release

* Sat Aug 30 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2.1.1-alt0.1.svn525
- 0.2 svn525 version
  + fixed UDS datagram encoding

* Tue Aug 26 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2.1.1-alt0.1.svn523
- 0.2 svn523 version
  + added Polish translation (author: Grzegorz Gibas)
  + fixed build
  + make alsa plugin optional
  + fixed compile warnings
  + some jack fixes
  + removed unused code
  + fixed Russian translation

* Sun Aug 17 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2.1-alt2
- fix Ukrainian translation

* Fri Aug 15 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2.1-alt1
- 0.2.1
  + fixed desktop file;
  + fixed build;
  + fixed bugs in the file dialog;
  + fixed margins;
  + updated Chezh translation;
  + middle mouse button click on the tray icon works as the play/pause command;
  + fixed memory leak;
  + fixed skin parsing;
  + increased file dialog speed;
  + improved accuracy of the mp3 duration calculation;
  + added preamp support in the the modplug plugin
- add %name-full package

* Tue Jul 22 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2.0-alt2
- 0.2.0 release
- updated description

* Tue Jul 22 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn469
- 0.2 svn469 version
  + devel files installation
  + fixed build
  + updated description
  + fixed changelog

* Mon Jul 21 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn462
- 0.2 svn462 version
  + 24-bit support
  + fixed and updated Russian translation

* Sat Jul 19 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn459
- 0.2 svn459 version
  + updated German translation (author: Stefan Koelling)
  + fixed memory leak
  + optimized alsa output

* Sat Jul 12 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn456
- 0.2 svn456 version
  + fixed build
  + fixed visualization

* Fri Jul 11 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn453
- 0.2 svn453 version
  + updated Chinese Simplified and Chinese Traditional translations (author: lon)
  + notifier: fixed popu message
  + some file dialog fixes

* Thu Jul 10 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn450
- 0.2 svn450 version
  + completed file dialog support
  + fixed translation
  + updated and fixed Ukrainian translation
  + updated Russian translation
  + fixed build
  + fixed bug in the file dialog

* Mon Jul 07 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn442
- 0.2 svn442 version
  + full proxy support
  + fixed software volume

* Sun Jul 06 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn440
- 0.2 svn440 version
  + fixed status icon message

* Sat Jul 05 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn439
- 0.2 svn439 version
  + updated Ukrainian translation

* Sat Jul 05 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn438
- 0.2 svn438 version
  + updated Ukrainian translation
  + updated Chinese Simplified and Chinese Traditional translations
  + fixed visualization disabling
  + improved text scroller
  + updated Russian translation
  + fixed text scroller string
  + fixed build

* Wed Jun 25 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn431
- 0.2 svn431 version
  + alsa plugin: mmap access support

* Sun Jun 22 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn430
- 0.2 svn430 version
  + fixed Russian translation

* Sat Jun 21 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn429
- 0.2 svn429 version
  + fixed qmmp file dialog

* Thu Jun 19 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn428
- 0.2 svn428 version
  + enabled qmmp file dialog

* Tue Jun 17 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn427
- 0.2 svn427 version
  + fixed build message
  + updated Chinese Traditional Translation (author: lon)
  + fixed critical bug which causes crash
  + added distclean target

* Mon Jun 16 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn423
- 0.2 svn423 version
  + added uninstall target for cmake
  + fixed Ukrainian translation
  + fixed build

* Sun Jun 15 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn420
- 0.2 svn420 version
  + generate *.qm files by build scripts
  + removed unused files

* Sun Jun 15 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn418
- 0.2 svn418 version
  + updated Ukrainian translation (in upstream)
  + updated Russian translation

* Sun Jun 15 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn416uk
- 0.2 svn416 version
  + fixed visualization blink
- updated Ukrainian translation (uk)

* Sat Jun 14 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn415
- 0.2 svn415 version
  + fixed qmake scripts
  + updated Russian translation
  + updated Chinese Simplified Translation (author: lon)
  + updated Chinese Traditional Translation (author: lon)
  + fixed build
  + fixed typo
  + updated Russian translation
  + fixed Russian translation

* Thu Jun 12 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn406
- 0.2 svn406 version
  + moved queue action
  + fixed typo
  + some settings dialog changes

* Thu Jun 12 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn403
- 0.2 svn403 version
  + show metadata for streams

* Wed Jun 11 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn402
- 0.2 svn402 version
  + fixed qmake scripts
  + some visualization fixes
  + enabled command line plugins support
  + updated translation
- remove libqt3-devel from BuildRequires

* Wed Jun 04 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn398
- 0.2 svn398 version
  + moved playlist formats support to plugins
  + fixed playlist dialog default path

* Mon Jun 02 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn396
- 0.2 svn396 version
  + fixed Alt+F4 closing

* Sun Jun 01 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn395
- 0.2 svn395 version
  + removed unused files
- run clear_cmake.sh script before building

* Sun Jun 01 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn394
- 0.2 svn394 version
  + added username to the socket name (thanks to Karel Volny)
  + changed socket error message
  + added PlayListItem class, removed MediaFile
  + more playlist options
  + visualization: transparent background option
  + fixed cmake build progress (thanks to Ken Martin)
  + fixed crash

* Mon May 26 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn385
- 0.2 svn385 version
  + stream reader: play stream buffer after disconnect
  + id3v2 support for streams
  + fixed build

* Thu May 22 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn382
- 0.2 svn382 version
  + some alsa fixes
  + fixed build (thanks to Karel Volny)
- enable verbose mode for building

* Tue May 20 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn380
- 0.2 svn380 version
  + fixed qmake scripts
  + clear text scroller before playing
  + updated German translation (author: Stefan Koelling)
  + fixed build

* Sun May 18 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn375
- 0.2 svn375 version
  + flac plugin: fixed cmake script

* Sun May 18 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn374
- 0.2 svn374 version
  + cmake 2.6 support

* Fri May 16 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn373
- 0.2 svn373 version
  + improved cmake scripts

* Thu May 15 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn372
- 0.2 svn372 version
  + fixed localization support
  + updated *.qm files
  + updated Chezh translation (author: Karel Volny)

* Tue May 13 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn369
- 0.2 svn369 version
  + modplug plugin: some settings dialog changes
  + modplug plugin: some ui fixes
- fixed unpackaged directory (new sisyphus_check)

* Fri May 09 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn367
- 0.2 svn367 version
  + added *.ts files

* Thu May 08 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn366
- 0.2 svn366 version
  + display buffering progress

* Tue May 06 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn365
- 0.2 svn365 version
  + fixed segmentation fault while changing visualization (qt 4.4 issue)
  + fixed pulse audio build message
  + FFMEG plugin: fixed build again

* Mon May 05 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn362
- 0.2 svn362 version
  + fixed possible segmentation fault

* Sun May 04 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn361
- 0.2 svn361 version
  + ffmpeg plugin: fixed build scripts (thanks to Stefan Koelling)
  + fixed skin parsing

* Thu May 01 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn357
- 0.2 svn357 version
  + some cmake cleanup
  + improved build scripts
  + fixed translators list

* Mon Apr 28 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn354
- 0.2 svn354 version
  + notifier plugin: fixed layout

* Wed Apr 23 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn352
- 0.2 svn352 version
  + play file if it was added from command line

* Tue Apr 22 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn350
- 0.2 svn350 version
  + modplug plugin: fixed it, mod, stm, s3m support

* Tue Apr 22 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn349
- 0.2 svn349 version
  + fixed modplug window title
  + added modplug support

* Sun Apr 20 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn347
- 0.2 svn347 version
  + fixed playlist format parsing
- separate various plugins to subpackage
- added unzip to requires (for zip packed skins support)

* Fri Apr 11 2008 Motsyo Gennadi <drool@altlinux.ru> 0.2-alt0.1.svn338
- 0.2 svn338 version
  + mp3 wave support
  + Analyzer plugin: fixed build
  * required cmake >= 2.4.8

* Mon Apr 07 2008 Motsyo Gennadi <drool@altlinux.ru> 0.1.6-alt1
- 0.1.6

* Fri Apr 04 2008 Motsyo Gennadi <drool@altlinux.ru> 0.1.5.1-alt5.svn329
- new svn version
  + grey out configuration button if a plugin has no settings
  + fixed regression
  + use qt translations
- refresh BuildRequires

* Wed Apr 02 2008 Motsyo Gennadi <drool@altlinux.ru> 0.1.5.1-alt4.svn297
- fix desktop-mime-entry

* Fri Mar 28 2008 Motsyo Gennadi <drool@altlinux.ru> 0.1.5.1-alt3.svn297
- new svn version
  + show more debug info
  + updated changelog
  + fixed typo
  + fixed loading playlists with double extensions
  + fixed scroller text color
  + some id3v1/v2 fixes
  + *.tar.bz2 skins support
  + fixed GPL violation

* Tue Mar 25 2008 Motsyo Gennadi <drool@altlinux.ru> 0.1.5.1-alt2.svn226
- rebuild with new libqt4

* Sat Mar 08 2008 Motsyo Gennadi <drool@altlinux.ru> 0.1.5.1-alt1.svn226
- rebuild with new libffmpeg

* Mon Feb 25 2008 Motsyo Gennadi <drool@altlinux.ru> 0.1.5.1-alt0.svn226
- new svn version
  + fixed skin parsing

* Thu Jan 24 2008 Motsyo Gennadi <drool@altlinux.ru> 0.1.5.1-alt0.svn223
- new svn version
  + added 'share/qmmp/skins' to skin search path

* Thu Jan 17 2008 Motsyo Gennadi <drool@altlinux.ru> 0.1.5-alt2
- cleanup spec
- fix cmake build

* Sat Dec 08 2007 Motsyo Gennadi <drool@altlinux.ru> 0.1.5-alt1
- 0.1.5
- use cmake
- add icons

* Sat Sep 15 2007 Motsyo Gennadi <drool@altlinux.ru> 0.1.4-alt2
- fix deskciption - packed skins now supported

* Sun Sep 09 2007 Motsyo Gennadi <drool@altlinux.ru> 0.1.4-alt1
- new version

* Wed Aug 29 2007 Motsyo Gennadi <drool@altlinux.ru> 0.1.3.2-alt0.svn126.1
- fix categories in desktop file

* Fri Aug 24 2007 Motsyo Gennadi <drool@altlinux.ru> 0.1.3.2-alt0.svn126
- new svn version (special building for current song saving)

* Tue Jul 31 2007 Motsyo Gennadi <drool@altlinux.ru> 0.1.3.1-alt1
- hotfix version (bug with dir for libqmmp.so*)

* Mon Jul 30 2007 Motsyo Gennadi <drool@altlinux.ru> 0.1.3-alt1
- release
- fix patch0 for release

* Sun Jul 22 2007 Motsyo Gennadi <drool@altlinux.ru> 0.1.3-alt0.svn29.1
- fix for x86_64 (thanks Led for help)

* Sat Jul 21 2007 Motsyo Gennadi <drool@altlinux.ru> 0.1.3-alt0.svn29
- initial build for Sisyphus

* Mon Jul 16 2007 Motsyo Gennadi <drool@altlinux.ru> 0.1.3-alt0.svn29.M40.1
- new svn snapshot
- add desktop file
- trivial fix patch0

* Thu Jun 21 2007 Motsyo Gennadi <drool@altlinux.ru> 0.1.2-alt0.M40.1
- new version
- build for M40
- fix patch0 for 0.1.2
- fix optflags (thanx to Ilya <forkotov02 at hotmail dot ru>

* Sat Jun 02 2007 Motsyo Gennadi <drool@altlinux.ru> 0.1.1-alt0.M24.1
- 0.1.1

* Tue May 29 2007 Motsyo Gennadi <drool@altlinux.ru> 0.1-alt0.M24.1
- test build for ALM2.4
